org.apache.ignite.cache.query

## Class IndexQueryCriteriaBuilder

- java.lang.Object
- - org.apache.ignite.cache.query.IndexQueryCriteriaBuilder

-     public class IndexQueryCriteriaBuilder
      extends Object

  Factory of `IndexQueryCriterion` for `IndexQuery`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexQueryCriteriaBuilder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IndexQueryCriterion` | `between(String field, Object lower, Object upper)` Between.
    `static IndexQueryCriterion` | `eq(String field, Object val)` Equal To.
    `static IndexQueryCriterion` | `gt(String field, Object val)` Greater Then.
    `static IndexQueryCriterion` | `gte(String field, Object val)` Greater Then or Equal To.
    `static IndexQueryCriterion` | `lt(String field, Object val)` Less Then.
    `static IndexQueryCriterion` | `lte(String field, Object val)` Less Then or Equal To.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexQueryCriteriaBuilder

          public IndexQueryCriteriaBuilder()

  - ### Method Detail

    - #### eq

          public static IndexQueryCriterion eq(String field,
                                               Object val)

      Equal To.
      Parameters:
        `field` - Index field to apply criterion.
        `val` - Strict equality value.
      Returns:
        Criterion.

    - #### lt

          public static IndexQueryCriterion lt(String field,
                                               Object val)

      Less Then.
      Parameters:
        `field` - Index field to apply criterion.
        `val` - Exclusive upper bound.
      Returns:
        Criterion.

    - #### lte

          public static IndexQueryCriterion lte(String field,
                                                Object val)

      Less Then or Equal To.
      Parameters:
        `field` - Index field to apply criterion.
        `val` - Inclusive upper bound.
      Returns:
        Criterion.

    - #### gt

          public static IndexQueryCriterion gt(String field,
                                               Object val)

      Greater Then.
      Parameters:
        `field` - Index field to apply criterion.
        `val` - Exclusive lower bound.
      Returns:
        Criterion.

    - #### gte

          public static IndexQueryCriterion gte(String field,
                                                Object val)

      Greater Then or Equal To.
      Parameters:
        `field` - Index field to apply criterion.
        `val` - Inclusive lower bound.
      Returns:
        Criterion.

    - #### between

          public static IndexQueryCriterion between(String field,
                                                    Object lower,
                                                    Object upper)

      Between.
      Parameters:
        `field` - Index field to apply criterion.
        `lower` - Inclusive lower bound.
        `upper` - Inclusive upper bound.
      Returns:
        Criterion.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022